## apulse 0.1.9

=== CMakeLists.txt ===
project(apulse)
cmake_minimum_required (VERSION 2.8)
add_definitions(-std=gnu99 -Wall -fPIC -fvisibility=hidden)
add_definitions(-Werror=implicit-function-declaration)

find_package(PkgConfig REQUIRED)

pkg_check_modules(REQ glib-2.0 alsa REQUIRED)

set(WITH_TRACE 0 CACHE STRING "trace level: no tracing (0) / unimplemented only (1) / all (2)")

# trace level
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DWITH_TRACE=${WITH_TRACE}")

# link with pthread
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -pthread")

include_directories(${REQ_INCLUDE_DIRS})

set(USE_BUNDLED_PULSEAUDIO_HEADERS 1 CACHE BOOLEAN "Use bundled PulseAudio headers instead of system ones")
if (${USE_BUNDLED_PULSEAUDIO_HEADERS})
    include_directories(3rdparty/pulseaudio-headers)
else()
    pkg_check_modules(PA libpulse>=5.0 REQUIRED)
    include_directories(${PA_INCLUDE_DIRECTORIES})
endif()

link_directories(${REQ_LIBRARY_DIRS})

add_library(trace-helper STATIC
    src/trace.c
)

add_library(pulse SHARED
    src/apulse-channel-map.c
    src/apulse-context.c
    src/apulse-format-info.c
    src/apulse-mainloop.c
    src/apulse-misc.c
    src/apulse-operation.c
    src/apulse-proplist.c
    src/apulse-signal.c
    src/apulse-stream.c
    src/apulse-threaded-mainloop.c
    src/apulse-volume.c
    src/notimplemented.c
    src/ringbuffer.c
    src/util.c
)

add_library(pulse-simple SHARED
    src/apulse-simple.c
)
add_library(pulsecommon-5.0 SHARED
    src/apulse-common.c
)

set_target_properties(pulse PROPERTIES VERSION 0)
set_target_properties(pulse-simple PROPERTIES VERSION 0)

set(SYMBOLMAP "-Wl,-version-script=\"${CMAKE_SOURCE_DIR}/src/symbolmap\"")

target_link_libraries(pulse ${SYMBOLMAP} trace-helper ${REQ_LIBRARIES})
target_link_libraries(pulse-simple ${SYMBOLMAP} trace-helper ${REQ_LIBRARIES})
target_link_libraries(pulsecommon-5.0 ${SYMBOLMAP} trace-helper ${REQ_LIBRARIES})

add_subdirectory(tests)

set(APULSEPATH "${CMAKE_INSTALL_PREFIX}/lib/apulse" CACHE PATH "library installation directory")
set(APULSE_SEARCH_PATHS "${APULSEPATH}" CACHE PATH "directory list for LD_LIBRARY_PATH")
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/src/apulse.template"
               "${CMAKE_CURRENT_BINARY_DIR}/apulse" @ONLY)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/apulse" DESTINATION bin
        PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
install(TARGETS pulse-simple pulsecommon-5.0 pulse DESTINATION "${APULSEPATH}")

=== debian/changelog ===
apulse (0.1.9-6) unstable; urgency=medium

  * bump version to 0.1.9-6

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Fri, 15 Dec 2017 22:54:40 +0000

apulse (0.1.9-5) unstable; urgency=medium

  [ KatolaZ ]
  * added upstream--tags
  * gitignore

  [ Vincenzo (KatolaZ) Nicosia ]

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Fri, 15 Dec 2017 22:13:47 +0000

apulse (0.1.9-4) unstable; urgency=medium

  [ KatolaZ ]
  * back to quilt

  [ Vincenzo (KatolaZ) Nicosia ]

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Fri, 15 Dec 2017 21:49:59 +0000

apulse (0.1.9-3) unstable; urgency=medium

  [ KatolaZ ]
  * creating suite suites/ascii

  [ Vincenzo (KatolaZ) Nicosia ]

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Thu, 14 Dec 2017 17:41:41 +0000

apulse (0.1.9-2) unstable; urgency=medium

  [ KatolaZ ]
  * Added git as a build dep (should fix armel)

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Wed, 19 Apr 2017 01:28:15 +0100

apulse (0.1.9-1) unstable; urgency=medium

  [ KatolaZ ]
  * creating suite suites/experimental
  * changed gbp.conf

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Wed, 19 Apr 2017 00:35:32 +0100

apulse (0.1-1) unstable; urgency=medium

  * Initial release 

 -- Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>  Tue, 18 Apr 2017 12:19:14 +0100

=== debian/control ===
Source: apulse
Priority: optional
Maintainer: Vincenzo (KatolaZ) Nicosia <katolaz@freaknet.org>
Build-Depends: debhelper (>=9), cmake (>=2.8.8), libasound2-dev, pkg-config, libglib2.0-dev, git
Standards-Version: 3.9.8
Section: libs
Homepage: https://github.com/i-rinat/apulse.git 
Vcs-Git: https://github.com/i-rinat/apulse.git 
Vcs-Browser: https://github.com/i-rinat/apulse


Package: apulse
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libalsaplayer0
Description: PulseAudio emulation for ALSA
  apulse provides and alternative partial implementation of 
  the PulseAudio API which allows to continue using ALSA.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release -DAPULSEPATH=/usr/lib/$(DEB_HOST_MULTIARCH)/apulse

%:
	dh $@ 


# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- #	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

## apulse 0.1.10

=== debian/changelog ===
apulse (0.1.10-1~mx17+1) mx; urgency=medium

  * Rebuild for MX-17.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 12 Oct 2017 12:13:23 -0700

apulse (0.1.10-1~mx15+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Drop debhelper compat to 9 for easy Jessie pbuilds.
  * Add conflicts and replaces for older apulse package for libapulse.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 12 Oct 2017 12:07:13 -0700

apulse (0.1.10-1) unstable; urgency=medium

  * New upstream release.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Wed, 19 Apr 2017 08:30:18 +0200

apulse (0.1.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump dh version to 10.
    + Bump Standards-Version to 3.9.8.
    + Use secured VCS links.
  * debian/rules: Enable hardening.
  * Drop lintian-override.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Thu, 09 Mar 2017 08:00:45 +0100

apulse (0.1.7-1) unstable; urgency=medium

  * Initial release. (Closes: #775098)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Tue, 22 Dec 2015 22:07:49 +0100

=== debian/control ===
Source: apulse
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
Bugs: mailto: <stevep@mxlinux.org>
XSBC-Original-Maintainer: Mateusz Łukasik <mati75@linuxmint.pl>
Build-Depends: debhelper (>= 9),
                cmake,
                libglib2.0-dev,
                libasound2-dev,
                libpulse-dev (>= 5.0)
Homepage: https://github.com/i-rinat/apulse
Vcs-Git: https://github.com/mati75/apulse.git
Vcs-Browser: https://github.com/mati75/apulse-debian
Standards-Version: 3.9.8

Package: apulse
Architecture: linux-any
Depends: libapulse (= ${binary:Version}),
         ${misc:Depends}, ${shlibs:Depends}
Suggests: skype
Description: PulseAudio emulation for ALSA
 This program may be useful for users who do not want install and use PulseAudio
 audio server on own systems, but nevertheless want to use some programs which
 require PulseAudio for their work (for example, Skype, Firefox, and some others).

Package: libapulse
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: apulse
Conflicts: apulse (<< 0.1.10)
Replaces: apulse (<< 0.1.10)
Multi-Arch: same
Description: PulseAudio emulation for ALSA - the libapulse libraries
 This program may be useful for users who do not want install and use PulseAudio
 audio server on own systems, but nevertheless want to use some programs which
 require PulseAudio for their work (for example, Skype, Firefox, and some others).
 .
 This package contains the libapulse library files used by apulse.

Package: libapulse-dev
Section: libdevel
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: libapulse (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Suggests: apulse
Multi-Arch: same
Description: PulseAudio emulation for ALSA - the libapulse devel libraries
 This program may be useful for users who do not want install and use PulseAudio
 audio server on own systems, but nevertheless want to use some programs which
 require PulseAudio for their work (for example, Skype, Firefox, and some others).
 .
 This package contains the libapulse devel libraries files used by apulse.

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	-DAPULSEPATH=/usr/lib/$(DEB_HOST_MULTIARCH)/apulse \
	-DCMAKE_INSTALL_PREFIX=/usr \
	-DCMAKE_BUILD_TYPE=Release

override_dh_install:
	dh_install --fail-missing

override_dh_installchangelogs:
	dh_installchangelogs -k debian/changelog.upstream

=== debian/watch ===
version=3
https://github.com/i-rinat/apulse/tags .*/i-rinat/apulse/archive/v(\d.+)\.tar\.gz

## apulse 0.1.10+git20171108

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,8 @@
 find_package(PkgConfig REQUIRED)
 
 pkg_check_modules(REQ glib-2.0 alsa REQUIRED)
+
+list(APPEND REQ_LIBRARIES m)
 
 set(WITH_TRACE 0 CACHE STRING "trace level: no tracing (0) / unimplemented only (1) / all (2)")
 
@@ -33,7 +35,9 @@
 
 add_library(pulse SHARED
     src/apulse-channel-map.c
+    src/apulse-common.c
     src/apulse-context.c
+    src/apulse-ext.c
     src/apulse-format-info.c
     src/apulse-mainloop.c
     src/apulse-misc.c
@@ -43,7 +47,6 @@
     src/apulse-stream.c
     src/apulse-threaded-mainloop.c
     src/apulse-volume.c
-    src/notimplemented.c
     src/ringbuffer.c
     src/util.c
 )
@@ -51,18 +54,20 @@
 add_library(pulse-simple SHARED
     src/apulse-simple.c
 )
-add_library(pulsecommon-5.0 SHARED
-    src/apulse-common.c
+
+add_library(pulse-mainloop-glib SHARED
+    src/apulse-mainloop-glib.c
 )
 
 set_target_properties(pulse PROPERTIES VERSION 0)
+set_target_properties(pulse-mainloop-glib PROPERTIES VERSION 0)
 set_target_properties(pulse-simple PROPERTIES VERSION 0)
 
 set(SYMBOLMAP "-Wl,-version-script=\"${CMAKE_SOURCE_DIR}/src/symbolmap\"")
 
 target_link_libraries(pulse ${SYMBOLMAP} trace-helper ${REQ_LIBRARIES})
+target_link_libraries(pulse-mainloop-glib ${SYMBOLMAP} trace-helper ${REQ_LIBRARIES})
 target_link_libraries(pulse-simple ${SYMBOLMAP} trace-helper ${REQ_LIBRARIES})
-target_link_libraries(pulsecommon-5.0 ${SYMBOLMAP} trace-helper ${REQ_LIBRARIES})
 
 add_subdirectory(tests)
 
@@ -73,4 +78,5 @@
 
 install(FILES "${CMAKE_CURRENT_BINARY_DIR}/apulse" DESTINATION bin
         PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
-install(TARGETS pulse-simple pulsecommon-5.0 pulse DESTINATION "${APULSEPATH}")
+install(TARGETS pulse-simple pulse pulse-mainloop-glib DESTINATION "${APULSEPATH}")
+install(FILES "${CMAKE_SOURCE_DIR}/man/apulse.1" DESTINATION share/man/man1)

## apulse 0.1.10+git20171108-gaca334f

=== debian/changelog ===
apulse (0.1.10+git20171108-gaca334f-2) unstable; urgency=medium

  * Disable building for unsupported platforms (Closes: #882010)

 -- Mirek Kratochvil <exa.exa@gmail.com>  Fri, 17 Nov 2017 19:21:37 +0100

apulse (0.1.10+git20171108-gaca334f-1) unstable; urgency=medium

  * Initial release (Closes: #775098)

 -- Mirek Kratochvil <exa.exa@gmail.com>  Fri, 03 Nov 2017 10:20:03 +0100

=== debian/control ===
Source: apulse
Section: sound
Priority: optional
Maintainer: Mirek Kratochvil <exa.exa@gmail.com>
Build-Depends: debhelper (>= 10), cmake, pkg-config, libasound2-dev, libglib2.0-dev
Standards-Version: 4.1.1
Homepage: https://github.com/i-rinat/apulse
Vcs-Git: https://github.com/exaexa/apulse-debian.git
Vcs-Browser: https://github.com/exaexa/apulse-debian

Package: apulse
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PulseAudio emulation for ALSA
 The program provides an alternative partial implementation of the PulseAudio
 API. It consists of a loader script and a number of shared libraries with the
 same names as from original PulseAudio, so applications could dynamically load
 them and think they are talking to PulseAudio. Internally, no separate sound
 mixing daemon is used. Instead, apulse relies on ALSA's dmix, dsnoop, and plug
 plugins to handle multiple sound sources and capture streams running at the
 same time. dmix plugin muxes multiple playback streams; dsnoop plugin allow
 multiple applications to capture from a single microphone; and plug plugin
 transparently converts audio between various sample formats, sample rates and
 channel numbers.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@

# The ldconfig trigger gets enabled because the package installs libraries, but
# it's in fact unnecessary (it installs them to a different directory).
override_dh_makeshlibs:
	dh_makeshlibs --no-scripts

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/apulse-$1\.tar\.gz/ \
  https://github.com/i-rinat/apulse/tags .*/v?(\d\S+)\.tar\.gz

## apulse 0.1.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,9 @@
 project(apulse)
 cmake_minimum_required (VERSION 2.8)
-add_definitions(-std=gnu99 -Wall -fPIC -fvisibility=hidden)
-add_definitions(-Werror=implicit-function-declaration)
+
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99 -Wall -fPIC -fvisibility=hidden")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror=implicit-function-declaration")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -pthread")
 
 find_package(PkgConfig REQUIRED)
 
@@ -10,12 +12,11 @@
 list(APPEND REQ_LIBRARIES m)
 
 set(WITH_TRACE 0 CACHE STRING "trace level: no tracing (0) / unimplemented only (1) / all (2)")
+set(LOG_TO_STDERR 0 CACHE STRING "send all log output to stderr")
 
-# trace level
-set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DWITH_TRACE=${WITH_TRACE}")
-
-# link with pthread
-set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -pthread")
+# Options.
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DCONFIG_TRACE_LEVEL=${WITH_TRACE}")
+set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DCONFIG_LOG_TO_STDERR=${LOG_TO_STDERR}")
 
 include_directories(${REQ_INCLUDE_DIRS})

=== debian/changelog ===
apulse (0.1.12-2) unstable; urgency=medium

  * Support multi-arch builds, thanks Yuriy M. Kaminskiy (Closes: #904848)

 -- Mirek Kratochvil <exa.exa@gmail.com>  Tue, 31 Jul 2018 08:40:03 +0200

apulse (0.1.12-1) unstable; urgency=medium

  * Upstream release 0.1.12 (Closes: #899043)

 -- Mirek Kratochvil <exa.exa@gmail.com>  Sat, 19 May 2018 19:39:22 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Section: sound
 Priority: optional
 Maintainer: Mirek Kratochvil <exa.exa@gmail.com>
-Build-Depends: debhelper (>= 10), cmake, pkg-config, libasound2-dev, libglib2.0-dev
-Standards-Version: 4.1.1
+Build-Depends: debhelper (>= 11), cmake, pkg-config, libasound2-dev, libglib2.0-dev
+Rules-Requires-Root: no
+Standards-Version: 4.1.5
 Homepage: https://github.com/i-rinat/apulse
 Vcs-Git: https://github.com/exaexa/apulse-debian.git
 Vcs-Browser: https://github.com/exaexa/apulse-debian
 
 Package: apulse
 Architecture: linux-any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: PulseAudio emulation for ALSA
  The program provides an alternative partial implementation of the PulseAudio

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE = 1
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@

## apulse 0.1.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 include_directories(${REQ_INCLUDE_DIRS})
 
-set(USE_BUNDLED_PULSEAUDIO_HEADERS 1 CACHE BOOLEAN "Use bundled PulseAudio headers instead of system ones")
+set(USE_BUNDLED_PULSEAUDIO_HEADERS 1 CACHE BOOL "Use bundled PulseAudio headers instead of system ones")
 if (${USE_BUNDLED_PULSEAUDIO_HEADERS})
     include_directories(3rdparty/pulseaudio-headers)
 else()
@@ -64,11 +64,12 @@
 set_target_properties(pulse-mainloop-glib PROPERTIES VERSION 0)
 set_target_properties(pulse-simple PROPERTIES VERSION 0)
 
-set(SYMBOLMAP "-Wl,-version-script=\"${CMAKE_SOURCE_DIR}/src/symbolmap\"")
+set(CMAKE_SHARED_LINKER_FLAGS
+    "${CMAKE_SHARED_LINKER_FLAGS} -Wl,-version-script=\"${CMAKE_SOURCE_DIR}/src/symbolmap\"")
 
-target_link_libraries(pulse ${SYMBOLMAP} trace-helper ${REQ_LIBRARIES})
-target_link_libraries(pulse-mainloop-glib ${SYMBOLMAP} trace-helper ${REQ_LIBRARIES})
-target_link_libraries(pulse-simple ${SYMBOLMAP} trace-helper ${REQ_LIBRARIES})
+target_link_libraries(pulse trace-helper ${REQ_LIBRARIES})
+target_link_libraries(pulse-mainloop-glib trace-helper pulse ${REQ_LIBRARIES})
+target_link_libraries(pulse-simple trace-helper pulse ${REQ_LIBRARIES})
 
 add_subdirectory(tests)

=== debian/changelog ===
apulse (0.1.13-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Mirek Kratochvil ]
  * Upstream release 0.1.13
  * Fix shlibdeps for mutual deps in $LIBDIR/apulse

 -- Mirek Kratochvil <exa.exa@gmail.com>  Tue, 29 Dec 2020 15:42:06 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: sound
 Priority: optional
 Maintainer: Mirek Kratochvil <exa.exa@gmail.com>
-Build-Depends: debhelper (>= 11), cmake, pkg-config, libasound2-dev, libglib2.0-dev
+Build-Depends: debhelper-compat (= 12), cmake, pkg-config, libasound2-dev, libglib2.0-dev
 Rules-Requires-Root: no
-Standards-Version: 4.1.5
+Standards-Version: 4.5.1
 Homepage: https://github.com/i-rinat/apulse
 Vcs-Git: https://github.com/exaexa/apulse-debian.git
 Vcs-Browser: https://github.com/exaexa/apulse-debian

=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,9 @@
 # it's in fact unnecessary (it installs them to a different directory).
 override_dh_makeshlibs:
 	dh_makeshlibs --no-scripts
+
+# Allow the "fake" pulseaudio libraries depend on each other. The path must be
+# synced with the used CMAKE_INSTALL_PREFIX and CMAKE_INSTALL_LIBDIR as
+# defaulted by debhelper for cmake.
+override_dh_shlibdeps:
+	dh_shlibdeps -l/usr/lib/${DEB_HOST_MULTIARCH}/apulse

## apulse 0.1.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
+cmake_minimum_required (VERSION 2.8...4.0)
 project(apulse)
-cmake_minimum_required (VERSION 2.8)
 
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99 -Wall -fPIC -fvisibility=hidden")
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Werror=implicit-function-declaration")

=== tests/CMakeLists.txt ===
enable_testing()
add_custom_target(check COMMAND "${CMAKE_CTEST_COMMAND}")

set(test_list
    test_ringbuffer
)
link_directories(${REQ_LIBRARY_DIRS})

# simplify inclusion of .c sources
include_directories(..)

foreach(item ${test_list})
    add_executable(${item} EXCLUDE_FROM_ALL
        ${item}.c
    )
    target_link_libraries(${item}
        "-Wl,-z,muldefs"
        dl
        ${REQ_LIBRARIES})
    add_test(${item} ${item})
    add_dependencies(check ${item})
endforeach()

=== debian/changelog ===
apulse (0.1.14-1) unstable; urgency=medium

  [ Érico Rolim ]
  * Add ENVIRONMENT to man-page.

  [ Tim Gates ]
  * docs: fix simple typo, withou -> without

  [ Alexey Sokolov ]
  * Fix build with musl 1.2.5
  * Fix build with CMake 4 (Closes: #1112705)

  [ Rinat Ibragimov ]
  * cmake: move cmake_minimum_required() to the very top of CMakeLists.txt

 -- Mirek Kratochvil <exa.exa@gmail.com>  Sat, 06 Sep 2025 11:39:06 +0200

apulse (0.1.13-2) unstable; urgency=medium

  [ Vagrant Cascadian ]
  * Pass -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON via dh_auto_configure
    to make the builds reproducible. (Closes: #1003919)

 -- Mirek Kratochvil <exa.exa@gmail.com>  Fri, 28 Jan 2022 19:23:17 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: sound
 Priority: optional
 Maintainer: Mirek Kratochvil <exa.exa@gmail.com>
-Build-Depends: debhelper-compat (= 12), cmake, pkg-config, libasound2-dev, libglib2.0-dev
+Build-Depends: debhelper-compat (= 13), cmake, pkgconf, libasound2-dev, libglib2.0-dev
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/i-rinat/apulse
 Vcs-Git: https://github.com/exaexa/apulse-debian.git
 Vcs-Browser: https://github.com/exaexa/apulse-debian

=== debian/rules ===
--- 
+++ 
@@ -16,3 +16,8 @@
 # defaulted by debhelper for cmake.
 override_dh_shlibdeps:
 	dh_shlibdeps -l/usr/lib/${DEB_HOST_MULTIARCH}/apulse
+
+# This is required for reproducible builds with cmake and RPATH settings
+# (see cmake_rpath_contains_build_path and bug #1003919)
+override_dh_auto_configure:
+	dh_auto_configure -- -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON
